Bug 87751 - Rearrange /etc/rc.d/rc.sysinit to enable firewire hard disks
Summary: Rearrange /etc/rc.d/rc.sysinit to enable firewire hard disks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 01:52 UTC by Blair Zajac
Modified: 2014-03-17 02:35 UTC (History)
2 users (show)

Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 18:37:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Move firewire initialization sooner in the script (1.51 KB, patch)
2003-04-02 01:54 UTC, Blair Zajac
no flags Details | Diff

Description Blair Zajac 2003-04-02 01:52:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:
Just set up a new RedHat 9 box with an attached 200 Gbyte Maxtor
Firewire hard drive which I installed an ext3 filesystem to.

To get the filesystem to mount at boot time, I had to have the kernel
load the firewire drivers before any of the S* scripts started.

I found that I could get the firewire/SCSI modules loaded by adding

insmod ieee1394
insmod ohci1394
insmod sbp2

before the mounting and fsck portion /etc/rc.d/rc.sysinit.  However,
moving up the firewire portion of /etc/rc.d/rc.sysinit also worked.

Patch coming up in a second.


Version-Release number of selected component (if applicable):
initscripts-7.14-1

How reproducible:
Always

Steps to Reproduce:
1. Attach a Firewire drive to a RedHat 9 box.
2. Run insmod ieee1394; insmod ohci1394; insmod sbp2
3. Run fdisk and put ext3 on it.
4. Add an /etc/fstab entry for the device.
5. Reboot.

The system won't boot.

Actual Results:  System won't boot with a Firewire filesystem.

Expected Results:  Boot just fine.

Additional info:

Comment 1 Blair Zajac 2003-04-02 01:54:49 UTC
Created attachment 90825 [details]
Move firewire initialization sooner in the script

Comment 2 Bill Nottingham 2005-09-30 18:37:42 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

This should be fixed on current releases that load hardware modules at startup.


Note You need to log in before you can comment on or make changes to this bug.